<?php
// Copper Alloys API code example
// API Documentation: https://apidocs.copper.org
// Documentation for this example: https://apidocs.copper.org/#/Individual_Alloy_Calls/get_alloys_json__alloyID_
// PHP call example for /alloys.json/{alloyID}
// see documentation for required and optional query parameters
// this is only an example and may not be production-ready

$token; // global variable that should have already been stored and updated earlier in the PHP application for subsequent API calls, see auth-token.php
$headers = array();
$headers[] = 'Accept: application/json';
$headers[] = 'Content-Type: application/json';
$ch = curl_init(); // create curl resource
curl_setopt($ch, CURLOPT_URL, "https://api.copper.org/CDA-API/alloys.json/C10100?token=" . $token);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);  //return the alloy list as a string
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); // add Accept and Content-Type headers
$data = curl_exec($ch); // save $token contains the output string
curl_close($ch);  // close curl resource
$json = json_decode($data, true);
print $json['copper-alloy']['metadata']['uns'];
print '<br/>';
foreach($json['copper-alloy']['chemical-composition']['elements']['element'] as $chemical) {
    print $chemical["symbol"];
    print ' - ';
    print $chemical["composition"];
    print '<br />';
}
?>
